You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hbase.apache.org by jm...@apache.org on 2012/04/27 00:57:44 UTC

svn commit: r1331143 - /hbase/trunk/dev-support/test-patch.sh

Author: jmhsieh
Date: Thu Apr 26 22:57:43 2012
New Revision: 1331143

URL: http://svn.apache.org/viewvc?rev=1331143&view=rev
Log:
HBASE-5872 Improve hadoopqa script to include checks for hadoop 0.23 build

Modified:
    hbase/trunk/dev-support/test-patch.sh

Modified: hbase/trunk/dev-support/test-patch.sh
URL: http://svn.apache.org/viewvc/hbase/trunk/dev-support/test-patch.sh?rev=1331143&r1=1331142&r2=1331143&view=diff
==============================================================================
--- hbase/trunk/dev-support/test-patch.sh (original)
+++ hbase/trunk/dev-support/test-patch.sh Thu Apr 26 22:57:43 2012
@@ -248,13 +248,15 @@ setup () {
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$MVN clean compile -DskipTests -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/trunkJavacWarnings.txt 2>&1"
+  echo "$MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/trunkJavacWarnings.txt 2>&1"
   export MAVEN_OPTS="${MAVEN_OPTS}"
-  $MVN clean compile -DskipTests -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/trunkJavacWarnings.txt 2>&1
+  # build core and tests
+  $MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/trunkJavacWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
     echo "Trunk compilation is broken?"
     cleanupAndExit 1
   fi
+
 }
 
 ###############################################################################
@@ -347,6 +349,30 @@ applyPatch () {
 }
 
 ###############################################################################
+### Attempt to compile against the hadoop 0.23.x
+checkHadoop23Compile () {
+  echo ""
+  echo ""
+  echo "======================================================================"
+  echo "======================================================================"
+  echo "    Checking against hadoop 23 build"
+  echo "======================================================================"
+  echo "======================================================================"
+  echo ""
+  echo ""
+
+  export MAVEN_OPTS="${MAVEN_OPTS}"
+  # build core and tests
+  $MVN clean test -DskipTests -Dhadoop.profile=23 -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/trunk23JavacWarnings.txt 2>&1
+  if [[ $? != 0 ]] ; then
+    echo "Failed to compile against hadoop 23".
+    cleanupAndExit 1
+  fi
+ 
+}
+
+
+###############################################################################
 ### Check there are no javadoc warnings
 checkJavadocWarnings () {
   echo ""
@@ -719,6 +745,9 @@ if [[ $? != 0 ]] ; then
   submitJiraComment 1
   cleanupAndExit 1
 fi
+
+checkHadoop23Compile
+(( RESULT = RESULT + $? ))
 checkJavadocWarnings
 (( RESULT = RESULT + $? ))
 checkJavacWarnings